<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      function getReq(url) {
         const req = new Promise(function (resolve, reject) {
            const request = new XMLHttpRequest();
            request.addEventListener('load', () => {
               console.log('en el listener de load...');
               if (request.status === 200) {
                  resolve(request.response);
               } else {
                  reject(request.statusText)
               }
            });
            request.addEventListener('error', () => {
               console.log('en el listener de error...');
               reject('Error de red');
            });
            request.open('GET', url, true);
            request.send(null);
         });
         return req;
      }
      getReq('./persona.json')
         .then(res => {
            return JSON.parse(res);
         })
         .then(json => {
            console.log(json);
         })
         .then(error => {
            console.log(error);
         });
   </script>
</body>

</html>